package com.web.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

@Component("sysConfig")
@ConfigurationProperties
@PropertySource("classpath:/config.properties")
@Data
public class SysConfig {

	private String fileUrl;

    // 微信小程序Appid
    private String wxMiniAppId;
    // 微信小程序appSecret
    private String wxMiniAppSecret;

}
