package com.hai.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * high_discount_agent_batch
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class HighDiscountAgentBatch implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 优惠券与代理商关系
     */
    private Long discountAgentId;

    /**
     * 优惠券id
     */
    private Long discountId;

    /**
     * 优惠券名称
     */
    private String discountName;

    /**
     * 优惠券金额
     */
    private BigDecimal discountPrice;

    /**
     * 使用归属
     */
    private Integer usingRange;

    /**
     * 使用范围  1. 全场  2.卡券   3.话费
     */
    private Integer useScope;

    /**
     * 代理商id
     */
    private Long agentId;

    /**
     * 批次标识
     */
    private String batchIdentifier;

    /**
     * 批次数量
     */
    private Integer batchNum;

    /**
     * 编码区间
     */
    private String codeStart;

    /**
     * 编码区间
     */
    private String codeEnd;

    /**
     * 邮寄时间
     */
    private Date mailTime;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 状态 0：删除  1：正常
     */
    private Integer status;

    /**
     * 二维码
     */
    private String qrCode;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getDiscountAgentId() {
        return discountAgentId;
    }

    public void setDiscountAgentId(Long discountAgentId) {
        this.discountAgentId = discountAgentId;
    }

    public Long getDiscountId() {
        return discountId;
    }

    public void setDiscountId(Long discountId) {
        this.discountId = discountId;
    }

    public String getDiscountName() {
        return discountName;
    }

    public void setDiscountName(String discountName) {
        this.discountName = discountName;
    }

    public BigDecimal getDiscountPrice() {
        return discountPrice;
    }

    public void setDiscountPrice(BigDecimal discountPrice) {
        this.discountPrice = discountPrice;
    }

    public Integer getUsingRange() {
        return usingRange;
    }

    public void setUsingRange(Integer usingRange) {
        this.usingRange = usingRange;
    }

    public Integer getUseScope() {
        return useScope;
    }

    public void setUseScope(Integer useScope) {
        this.useScope = useScope;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public String getBatchIdentifier() {
        return batchIdentifier;
    }

    public void setBatchIdentifier(String batchIdentifier) {
        this.batchIdentifier = batchIdentifier;
    }

    public Integer getBatchNum() {
        return batchNum;
    }

    public void setBatchNum(Integer batchNum) {
        this.batchNum = batchNum;
    }

    public String getCodeStart() {
        return codeStart;
    }

    public void setCodeStart(String codeStart) {
        this.codeStart = codeStart;
    }

    public String getCodeEnd() {
        return codeEnd;
    }

    public void setCodeEnd(String codeEnd) {
        this.codeEnd = codeEnd;
    }

    public Date getMailTime() {
        return mailTime;
    }

    public void setMailTime(Date mailTime) {
        this.mailTime = mailTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getQrCode() {
        return qrCode;
    }

    public void setQrCode(String qrCode) {
        this.qrCode = qrCode;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HighDiscountAgentBatch other = (HighDiscountAgentBatch) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getDiscountAgentId() == null ? other.getDiscountAgentId() == null : this.getDiscountAgentId().equals(other.getDiscountAgentId()))
            && (this.getDiscountId() == null ? other.getDiscountId() == null : this.getDiscountId().equals(other.getDiscountId()))
            && (this.getDiscountName() == null ? other.getDiscountName() == null : this.getDiscountName().equals(other.getDiscountName()))
            && (this.getDiscountPrice() == null ? other.getDiscountPrice() == null : this.getDiscountPrice().equals(other.getDiscountPrice()))
            && (this.getUsingRange() == null ? other.getUsingRange() == null : this.getUsingRange().equals(other.getUsingRange()))
            && (this.getUseScope() == null ? other.getUseScope() == null : this.getUseScope().equals(other.getUseScope()))
            && (this.getAgentId() == null ? other.getAgentId() == null : this.getAgentId().equals(other.getAgentId()))
            && (this.getBatchIdentifier() == null ? other.getBatchIdentifier() == null : this.getBatchIdentifier().equals(other.getBatchIdentifier()))
            && (this.getBatchNum() == null ? other.getBatchNum() == null : this.getBatchNum().equals(other.getBatchNum()))
            && (this.getCodeStart() == null ? other.getCodeStart() == null : this.getCodeStart().equals(other.getCodeStart()))
            && (this.getCodeEnd() == null ? other.getCodeEnd() == null : this.getCodeEnd().equals(other.getCodeEnd()))
            && (this.getMailTime() == null ? other.getMailTime() == null : this.getMailTime().equals(other.getMailTime()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getQrCode() == null ? other.getQrCode() == null : this.getQrCode().equals(other.getQrCode()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getDiscountAgentId() == null) ? 0 : getDiscountAgentId().hashCode());
        result = prime * result + ((getDiscountId() == null) ? 0 : getDiscountId().hashCode());
        result = prime * result + ((getDiscountName() == null) ? 0 : getDiscountName().hashCode());
        result = prime * result + ((getDiscountPrice() == null) ? 0 : getDiscountPrice().hashCode());
        result = prime * result + ((getUsingRange() == null) ? 0 : getUsingRange().hashCode());
        result = prime * result + ((getUseScope() == null) ? 0 : getUseScope().hashCode());
        result = prime * result + ((getAgentId() == null) ? 0 : getAgentId().hashCode());
        result = prime * result + ((getBatchIdentifier() == null) ? 0 : getBatchIdentifier().hashCode());
        result = prime * result + ((getBatchNum() == null) ? 0 : getBatchNum().hashCode());
        result = prime * result + ((getCodeStart() == null) ? 0 : getCodeStart().hashCode());
        result = prime * result + ((getCodeEnd() == null) ? 0 : getCodeEnd().hashCode());
        result = prime * result + ((getMailTime() == null) ? 0 : getMailTime().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getQrCode() == null) ? 0 : getQrCode().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", discountAgentId=").append(discountAgentId);
        sb.append(", discountId=").append(discountId);
        sb.append(", discountName=").append(discountName);
        sb.append(", discountPrice=").append(discountPrice);
        sb.append(", usingRange=").append(usingRange);
        sb.append(", useScope=").append(useScope);
        sb.append(", agentId=").append(agentId);
        sb.append(", batchIdentifier=").append(batchIdentifier);
        sb.append(", batchNum=").append(batchNum);
        sb.append(", codeStart=").append(codeStart);
        sb.append(", codeEnd=").append(codeEnd);
        sb.append(", mailTime=").append(mailTime);
        sb.append(", createTime=").append(createTime);
        sb.append(", status=").append(status);
        sb.append(", qrCode=").append(qrCode);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}